Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 694320

Summary: net-libs/quiche-0.1.0-r1: keyword ~arm64 ~ppc64 ~x86
Product: Gentoo Linux Reporter: Craig Andrews <candrews>
Component: KeywordingAssignee: Craig Andrews <candrews>
Status: RESOLVED FIXED    
Severity: normal CC: candrews
Priority: Normal Keywords: KEYWORDREQ
Version: unspecifiedFlags: stable-bot: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
net-libs/quiche-0.1.0-r1 ~arm64 ~x86
Runtime testing required: ---
Bug Depends on: 701198    
Bug Blocks: 694308    

Description Craig Andrews gentoo-dev 2019-09-13 20:48:23 UTC
Please add keywords
~arm64 ~ppc64 ~x86
to net-libs/quiche-0.1.0_alpha4_p20190912

net-libs/quiche will be dependency of >=net-misc/curl-7.66.0 at some point (bug 694308) providing support for HTTP/3, and as such, needs to be keyworded with as many of curl's keywords as possible (quiche requires rust, so that limits the keywords just those listed here).
Comment 1 ernsteiswuerfel archtester 2019-09-19 22:02:43 UTC
Package list is missing.
Comment 2 Craig Andrews gentoo-dev 2019-09-19 23:53:51 UTC
(In reply to ernsteiswuerfel from comment #1)
> Package list is missing.

oops... thanks for pointing that out. Added.
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2019-09-23 07:30:26 UTC
I guess you want arm64@, not amd64@. Changed as ~amd64 is already there.
Comment 4 Craig Andrews gentoo-dev 2019-11-10 19:59:06 UTC
Any news about adding the ~arm64 ~ppc64 ~x86 keywords?

Thanks!
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-25 12:24:17 UTC
arm64 keyworded
Comment 6 Georgy Yakovlev gentoo-dev 2020-01-18 05:10:10 UTC
can't be keyworded on ppc64 as one of the dependencies is `ring` crate which bundles hand-written perlasm and it lacks ppc64 support.


PR exists https://github.com/briansmith/ring/pull/819

but PR author pretty much abandoned the work and is not willing to contribute to ring anymore (just discussed today).

please ping ppc64 if they ever remove ring from deps or ring adds ppc64 support.
Comment 7 Georgy Yakovlev gentoo-dev 2020-01-18 05:13:22 UTC
https://github.com/briansmith/ring/issues/389 here's ppc tracking issue.
Comment 8 Thomas Deutschmann gentoo-dev Security 2020-01-26 20:25:45 UTC
x86 keyworded, closing
Comment 9 Georgy Yakovlev gentoo-dev 2020-06-11 00:04:23 UTC
commenting in old bug
ring-0.16.14 now has ppc64 support (little endian tested, but big endian may work as well), so as soon as upstream quiche pulls it in in we should be able to add keyword.